from byubit import Bit


def move_while_clear(bit):
    while bit.can_move_front():
        bit.paint('green')
        bit.move()


def move_while_not_red(bit):
    while not bit.is_on_red():
        bit.paint('green')
        bit.move()


@Bit.worlds('maze')
def solve_maze(bit):
    move_while_clear(bit)
    bit.turn_left()
    move_while_clear(bit)
    bit.turn_right()
    move_while_clear(bit)
    bit.turn_right()
    move_while_not_red(bit)


if __name__ == "__main__":
    solve_maze(Bit.new_bit)
